Diff of /trunk/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 9 by harbaum, Thu Jun 25 19:09:32 2009 UTC revision 14 by harbaum, Sat Jun 27 19:18:40 2009 UTC
# Line 648  sqlite3_CFLAGS Line 648  sqlite3_CFLAGS
648  sqlite3_LIBS  sqlite3_LIBS
649  hildon_help_CFLAGS  hildon_help_CFLAGS
650  hildon_help_LIBS  hildon_help_LIBS
 gpsbt_CFLAGS  
 gpsbt_LIBS  
651  liblocation_CFLAGS  liblocation_CFLAGS
652  liblocation_LIBS  liblocation_LIBS
653  EXTRA_OBJS  EXTRA_OBJS
# Line 688  sqlite3_CFLAGS Line 686  sqlite3_CFLAGS
686  sqlite3_LIBS  sqlite3_LIBS
687  hildon_help_CFLAGS  hildon_help_CFLAGS
688  hildon_help_LIBS  hildon_help_LIBS
 gpsbt_CFLAGS  
 gpsbt_LIBS  
689  liblocation_CFLAGS  liblocation_CFLAGS
690  liblocation_LIBS  liblocation_LIBS
691  gtk_CFLAGS  gtk_CFLAGS
# Line 1305  Some influential environment variables: Line 1301  Some influential environment variables:
1301                C compiler flags for hildon_help, overriding pkg-config                C compiler flags for hildon_help, overriding pkg-config
1302    hildon_help_LIBS    hildon_help_LIBS
1303                linker flags for hildon_help, overriding pkg-config                linker flags for hildon_help, overriding pkg-config
   gpsbt_CFLAGS  
               C compiler flags for gpsbt, overriding pkg-config  
   gpsbt_LIBS  linker flags for gpsbt, overriding pkg-config  
1304    liblocation_CFLAGS    liblocation_CFLAGS
1305                C compiler flags for liblocation, overriding pkg-config                C compiler flags for liblocation, overriding pkg-config
1306    liblocation_LIBS    liblocation_LIBS
# Line 3774  fi Line 3767  fi
3767    
3768    # prefer gpsbt over liblocation as we got complaints regarding liblocation    # prefer gpsbt over liblocation as we got complaints regarding liblocation
3769    # stability    # stability
3770    if test -n "$PKG_CONFIG" && \  #  PKG_CHECK_EXISTS(gpsbt, [
3771      { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"gpsbt\"") >&5  #    PKG_CHECK_MODULES([gpsbt], [gpsbt], [], [])
3772    ($PKG_CONFIG --exists --print-errors "gpsbt") 2>&5  #    CFLAGS="$CFLAGS -DENABLE_GPSBT $gpsbt_CFLAGS"
3773    ac_status=$?  #    LIBS="$LIBS $gpsbt_LIBS"
3774    echo "$as_me:$LINENO: \$? = $ac_status" >&5  #  ], [
   (exit $ac_status); }; then  
   
   
 pkg_failed=no  
 { echo "$as_me:$LINENO: checking for gpsbt" >&5  
 echo $ECHO_N "checking for gpsbt... $ECHO_C" >&6; }  
   
 if test -n "$PKG_CONFIG"; then  
     if test -n "$gpsbt_CFLAGS"; then  
         pkg_cv_gpsbt_CFLAGS="$gpsbt_CFLAGS"  
     else  
         if test -n "$PKG_CONFIG" && \  
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"gpsbt\"") >&5  
   ($PKG_CONFIG --exists --print-errors "gpsbt") 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; then  
   pkg_cv_gpsbt_CFLAGS=`$PKG_CONFIG --cflags "gpsbt" 2>/dev/null`  
 else  
   pkg_failed=yes  
 fi  
     fi  
 else  
         pkg_failed=untried  
 fi  
 if test -n "$PKG_CONFIG"; then  
     if test -n "$gpsbt_LIBS"; then  
         pkg_cv_gpsbt_LIBS="$gpsbt_LIBS"  
     else  
         if test -n "$PKG_CONFIG" && \  
     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"gpsbt\"") >&5  
   ($PKG_CONFIG --exists --print-errors "gpsbt") 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; then  
   pkg_cv_gpsbt_LIBS=`$PKG_CONFIG --libs "gpsbt" 2>/dev/null`  
 else  
   pkg_failed=yes  
 fi  
     fi  
 else  
         pkg_failed=untried  
 fi  
   
   
   
 if test $pkg_failed = yes; then  
   
 if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then  
         _pkg_short_errors_supported=yes  
 else  
         _pkg_short_errors_supported=no  
 fi  
         if test $_pkg_short_errors_supported = yes; then  
                 gpsbt_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "gpsbt"`  
         else  
                 gpsbt_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "gpsbt"`  
         fi  
         # Put the nasty error message in config.log where it belongs  
         echo "$gpsbt_PKG_ERRORS" >&5  
   
         { { echo "$as_me:$LINENO: error: Package requirements (gpsbt) were not met:  
   
 $gpsbt_PKG_ERRORS  
   
 Consider adjusting the PKG_CONFIG_PATH environment variable if you  
 installed software in a non-standard prefix.  
   
 Alternatively, you may set the environment variables gpsbt_CFLAGS  
 and gpsbt_LIBS to avoid the need to call pkg-config.  
 See the pkg-config man page for more details.  
 " >&5  
 echo "$as_me: error: Package requirements (gpsbt) were not met:  
   
 $gpsbt_PKG_ERRORS  
   
 Consider adjusting the PKG_CONFIG_PATH environment variable if you  
 installed software in a non-standard prefix.  
   
 Alternatively, you may set the environment variables gpsbt_CFLAGS  
 and gpsbt_LIBS to avoid the need to call pkg-config.  
 See the pkg-config man page for more details.  
 " >&2;}  
    { (exit 1); exit 1; }; }  
 elif test $pkg_failed = untried; then  
         { { echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old.  Make sure it  
 is in your PATH or set the PKG_CONFIG environment variable to the full  
 path to pkg-config.  
   
 Alternatively, you may set the environment variables gpsbt_CFLAGS  
 and gpsbt_LIBS to avoid the need to call pkg-config.  
 See the pkg-config man page for more details.  
   
 To get pkg-config, see <http://pkg-config.freedesktop.org/>.  
 See \`config.log' for more details." >&5  
 echo "$as_me: error: The pkg-config script could not be found or is too old.  Make sure it  
 is in your PATH or set the PKG_CONFIG environment variable to the full  
 path to pkg-config.  
   
 Alternatively, you may set the environment variables gpsbt_CFLAGS  
 and gpsbt_LIBS to avoid the need to call pkg-config.  
 See the pkg-config man page for more details.  
   
 To get pkg-config, see <http://pkg-config.freedesktop.org/>.  
 See \`config.log' for more details." >&2;}  
    { (exit 1); exit 1; }; }  
 else  
         gpsbt_CFLAGS=$pkg_cv_gpsbt_CFLAGS  
         gpsbt_LIBS=$pkg_cv_gpsbt_LIBS  
         { echo "$as_me:$LINENO: result: yes" >&5  
 echo "${ECHO_T}yes" >&6; }  
         :  
 fi  
     CFLAGS="$CFLAGS -DENABLE_GPSBT $gpsbt_CFLAGS"  
     LIBS="$LIBS $gpsbt_LIBS"  
   
 else  
   
3775      { echo "$as_me:$LINENO: gpsbt not found, trying liblocation" >&5      { echo "$as_me:$LINENO: gpsbt not found, trying liblocation" >&5
3776  echo "$as_me: gpsbt not found, trying liblocation" >&6;}  echo "$as_me: gpsbt not found, trying liblocation" >&6;}
3777    
# Line 4027  else Line 3902  else
3902  echo "$as_me: WARNING: No liblocation nor gpsbt found, disabling gps auto start!" >&6;}  echo "$as_me: WARNING: No liblocation nor gpsbt found, disabling gps auto start!" >&6;}
3903    
3904  fi  fi
3905    #  ])
 fi  
3906    
3907    if test -n "$PKG_CONFIG" && \    if test -n "$PKG_CONFIG" && \
3908      { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"tablet-browser-interface\"") >&5      { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"tablet-browser-interface\"") >&5
# Line 4946  sqlite3_CFLAGS!$sqlite3_CFLAGS$ac_delim Line 4820  sqlite3_CFLAGS!$sqlite3_CFLAGS$ac_delim
4820  sqlite3_LIBS!$sqlite3_LIBS$ac_delim  sqlite3_LIBS!$sqlite3_LIBS$ac_delim
4821  hildon_help_CFLAGS!$hildon_help_CFLAGS$ac_delim  hildon_help_CFLAGS!$hildon_help_CFLAGS$ac_delim
4822  hildon_help_LIBS!$hildon_help_LIBS$ac_delim  hildon_help_LIBS!$hildon_help_LIBS$ac_delim
 gpsbt_CFLAGS!$gpsbt_CFLAGS$ac_delim  
 gpsbt_LIBS!$gpsbt_LIBS$ac_delim  
4823  liblocation_CFLAGS!$liblocation_CFLAGS$ac_delim  liblocation_CFLAGS!$liblocation_CFLAGS$ac_delim
4824  liblocation_LIBS!$liblocation_LIBS$ac_delim  liblocation_LIBS!$liblocation_LIBS$ac_delim
4825  EXTRA_OBJS!$EXTRA_OBJS$ac_delim  EXTRA_OBJS!$EXTRA_OBJS$ac_delim
# Line 4960  LIBOBJS!$LIBOBJS$ac_delim Line 4832  LIBOBJS!$LIBOBJS$ac_delim
4832  LTLIBOBJS!$LTLIBOBJS$ac_delim  LTLIBOBJS!$LTLIBOBJS$ac_delim
4833  _ACEOF  _ACEOF
4834    
4835    if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 81; then    if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 79; then
4836      break      break
4837    elif $ac_last_try; then    elif $ac_last_try; then
4838      { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5      { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5

Legend:
Removed from v.9  
changed lines
  Added in v.14